<?php
/**
 * @package   AkeebaBackup
 * @copyright Copyright (c)2006-2016 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

$rootDirWarning = JText::_('COM_AKEEBA_CONFIG_UI_ROOTDIR', true);
JFactory::getDocument()->addScriptDeclaration(<<<JS

	;// This comment is intentionally put here to prevent badly written plugins from causing a Javascript error
	// due to missing trailing semicolon and/or newline in their code.
	function akeeba_browser_useThis()
	{
		var rawFolder = document.forms.adminForm.folderraw.value;
		if( rawFolder == '[SITEROOT]' )
		{
			alert('$rootDirWarning');
			rawFolder = '[SITETMP]';
		}
		window.parent.akeeba.Configuration.onBrowserCallback( rawFolder );
	}

JS
, 'text/javascript');

?>

@if (empty($this->folder))
	<form action="index.php" method="post" name="adminForm" id="adminForm">
		<input type="hidden" name="option" value="com_akeeba"/>
		<input type="hidden" name="view" value="Browser"/>
		<input type="hidden" name="format" value="html"/>
		<input type="hidden" name="tmpl" value="component"/>
		<input type="hidden" name="folder" id="folder" value=""/>
		<input type="hidden" name="processfolder" id="processfolder" value="0"/>
		<input type="hidden" name="@token()" value="1"/>
	</form>
@endif

@unless (empty($this->folder))
<div class="row-fluid">
	<div class="span12">
		<form action="index.php" method="get" name="adminForm" id="adminForm" class="form-inline">
			<input type="hidden" name="option" value="com_akeeba"/>
			<input type="hidden" name="view" value="Browser"/>
			<input type="hidden" name="tmpl" value="component"/>
			<div class="input-prepend">
				<span class="add-on" title="@lang($this->writable ? 'WRITEABLE' : 'COM_AKEEBA_CPANEL_LBL_UNWRITABLE')">
					<span class="icon-{{$this->writable ? 'ok' : 'ban-circle'}}"></span>
				</span>
				<input class="input-xlarge" type="text" name="folder" id="folder" value="{{{$this->folder}}}"/>
			</div>
			<input type="hidden" name="folderraw" id="folderraw" value="{{{$this->folder_raw}}}"/>
			<button class="btn btn-primary" onclick="document.form.adminForm.submit(); return false;">
				<span class="icon-folder-open icon-white"></span>
				@lang('COM_AKEEBA_BROWSER_LBL_GO')
			</button>
			<button class="btn btn-success" onclick="akeeba_browser_useThis(); return false;">
				<span class="icon-share icon-white"></span>
				@lang('COM_AKEEBA_BROWSER_LBL_USE')
			</button>
			<input type="hidden" name="@token()" value="1"/>
		</form>
	</div>
</div>

@if (count($this->breadcrumbs))
<div class="row-fluid">
	<div class="span12">
		<ul class="breadcrumb">
			<?php $i = 0 ?>
			@foreach($this->breadcrumbs as $crumb)
			<?php $i++; ?>
			<li class="{{($i < count($this->breadcrumbs)) ? '' : 'active'}}">
				@if($i < count($this->breadcrumbs))
				<a href="{{{JUri::base() . "index.php?option=com_akeeba&view=Browser&tmpl=component&folder=" . urlencode($crumb['folder'])}}}">
					{{{$crumb['label']}}}
				</a>
				<span class="divider">&bull;</span>
				@else
				{{{$crumb['label']}}}
				@endif
			</li>
			@endforeach
		</ul>
	</div>
</div>
@endif

<div class="row-fluid">
	<div class="span12">
		@if(count($this->subfolders))
		<table class="table table-striped">
			<tr>
				<td>
					<a class="btn btn-mini btn-inverse"
					   href="{{{JUri::base()}}}index.php?option=com_akeeba&view=Browser&tmpl=component&folder={{{$this->parent}}}">
						<span class="icon-arrow-up icon-white"></span>
						@lang('COM_AKEEBA_BROWSER_LBL_GOPARENT')
					</a>
				</td>
			</tr>
			@foreach($this->subfolders as $subfolder)
			<tr>
				<td>
					<a href="{{{JUri::base()}}}index.php?option=com_akeeba&view=Browser&tmpl=component&folder={{{$this->folder . '/' . $subfolder}}}">{{{$subfolder}}}</a>
				</td>
			</tr>
			@endforeach
		</table>
		@else
			@if(!$this->exists)
			<div class="alert alert-error">
				@lang('COM_AKEEBA_BROWSER_ERR_NOTEXISTS')
			</div>
			@elseif(!$this->inRoot)
			<div class="alert">
				@lang('COM_AKEEBA_BROWSER_ERR_NONROOT')
			</div>
			@elseif($this->openbasedirRestricted)
			<div class="alert alert-error">
				@lang('COM_AKEEBA_BROWSER_ERR_BASEDIR')
			</div>
			@else
			<table class="table table-striped">
				<tr>
					<td>
						<a class="btn btn-mini btn-inverse"
						   href="{{{JUri::base()}}}index.php?option=com_akeeba&view=Browser&tmpl=component&folder={{{$this->parent}}}">
							<span class="icon-arrow-up icon-white"></span>
							@lang('COM_AKEEBA_BROWSER_LBL_GOPARENT')
						</a>
					</td>
				</tr>
			</table>
			@endif {{-- secondary block --}}
		@endif {{-- count($this->subfolders) --}}
	</div>
</div>
@endunless