<?php
/**
 * @package   AkeebaBackup
 * @copyright Copyright (c)2006-2016 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

use Akeeba\Backup\Admin\Helper\Utils;

/** @var  $this  \Akeeba\Backup\Admin\View\Transfer\Html */

$dotPos = strrpos($this->latestBackup['archivename'], '.');
$extension = substr($this->latestBackup['archivename'], $dotPos + 1);
$bareName = basename($this->latestBackup['archivename'], '.' . $extension);

?>
<fieldset id="akeeba-transfer-manualtransfer" style="display: none;">
	<legend>
		@lang('COM_AKEEBA_TRANSFER_HEAD_MANUALTRANSFER')
	</legend>

	<div class="alert alert-info">
		@lang('COM_AKEEBA_TRANSFER_LBL_MANUALTRANSFER_INFO')
	</div>

	<p style="text-align: center">
		<iframe width="640" height="480" src="https://www.youtube.com/embed/vo_r0r6cZNQ" frameborder="0" allowfullscreen></iframe>
	</p>

	<h3>@lang('COM_AKEEBA_BUADMIN_LBL_BACKUPINFO')</h3>

	<p>
		<strong>@lang('COM_AKEEBA_BUADMIN_LBL_ARCHIVENAME')</strong>
		<br/>
		@if ($this->latestBackup['multipart'] < 2)
		{{{$this->latestBackup['archivename']}}}
		@else
		@sprintf('COM_AKEEBA_TRANSFER_LBL_MANUALTRANSFER_MULTIPART', $this->latestBackup['multipart'])
		<ul>
			@for ($i = 1; $i < $this->latestBackup['multipart']; $i++)
				<li>{{{$bareName . '.' . substr($extension, 0, 1) . sprintf('%02u', $i)}}}</li>
			@endfor
			<li>
				{{{$this->latestBackup['archivename']}}}
			</li>
		</ul>
		@endif
	</p>

	<p>
		<strong><?php echo JText::_('COM_AKEEBA_BUADMIN_LBL_ARCHIVEPATH') ?></strong>
		<br/>
		{{{Utils::getRelativePath(JPATH_SITE, dirname($this->latestBackup['absolute_path']))}}}
	</p>
</fieldset>